eoNoSelect(3)

NAME
eoNoSelect - eoNoSelect: returns all individual in order WITHOUT USING FITNESS!!! looping back to the beginning when exhasuted

SYNOPSIS

#include <eoRandomSelect.h>

Inherits eoSelectOne< EOT >.

  Public Member Functions
eoNoSelect ()
Ctor.
virtual const EOT & operator() (const eoPop< EOT > &_pop)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
unsigned current

Detailed Description

  template<class EOT> class eoNoSelect< EOT >
eoNoSelect: returns all individual in order WITHOUT USING FITNESS!!! looping back to the beginning when exhasuted

Definition at line 78 of file eoRandomSelect.h.

Author

Generated automatically by Doxygen for EO from the source code.